Debian Bug report logs - #35325
sysklogd: There should be a way to run sysklogd without root privileges (please revert this NMU)

version graph

Package: sysklogd; Maintainer for sysklogd is Martin Schulze <joey@debian.org>;

Reported by: Thomas Roessler <roessler@sobolev.rhein.de>

Date: Wed, 31 Mar 1999 08:18:03 UTC

Severity: wishlist

Tags: patch

Merged with 24326

Found in versions 1.3-31, 1.3-26

Fixed in version 1.5-6.2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Thomas Roessler <roessler@sobolev.rhein.de>:
New bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Roessler <roessler@sobolev.rhein.de>
To: submit@bugs.debian.org
Subject: sysklogd: There should be a way to run sysklogd without root privileges
Date: Wed, 31 Mar 1999 10:11:21 +0200 (MEST)
Package: sysklogd
Version: 1.3-31

I'm too lazy to do this one myself now, so count it as a wishlist
item: syslogd should provide an easy way to run it without root
privileges.

The only actions which really require such privileges are binding to
the internet domain socket and creating the unix domain socket(s)
given on the command line.

These tasks can be done once and forever at a very early point in
syslogd's lifetime.  In particular, they can happen _before_ the
actual init() routine is called.

System log files (and /var/log) could be donated to a special log
user, so opening or writing them won't require any special
privileges.

tlr

-- System Information
Debian Release: 2.1
Kernel Version: Linux sobolev 2.0.36 #7 Wed Feb 10 01:26:04 MET 1999 i586 unknown

Versions of the packages sysklogd depends on:
ii  libc6           2.0.7.19981211 GNU C Library: shared libraries



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.north.de>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 35325@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@finlandia.Infodrom.North.DE>
To: Thomas Roessler <roessler@sobolev.rhein.de>, 35325@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#35325: sysklogd: There should be a way to run sysklogd without root privileges
Date: Wed, 7 Apr 1999 23:46:46 +0200
severity 35325 wishlist
thanks

Thomas Roessler wrote:
> Package: sysklogd
> Version: 1.3-31
> 
> I'm too lazy to do this one myself now, so count it as a wishlist
> item: syslogd should provide an easy way to run it without root
> privileges.

Just add

	Severity: wishlist

to the 2nd header netx time.

Topi Miet..something also tried to make syslogd run as different
user.  It might be possible, please check the BTS, there might
be a patch.

Regards,

	Joey

-- 
Beware of bugs in the above code; I have only proved it correct,
not tried it.  -- Donald E. Knuth

Please always Cc to me when replying to me on the lists.


Severity set to `wishlist'. Request was from Martin Schulze <joey@finlandia.Infodrom.North.DE> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.north.de>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at 35325@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@finlandia.Infodrom.North.DE>
To: Thomas Roessler <roessler@sobolev.rhein.de>, 35325@bugs.debian.org
Subject: Re: Bug#35325: sysklogd: There should be a way to run sysklogd without root privileges
Date: Wed, 7 Apr 1999 23:50:52 +0200
Thomas Roessler wrote:
> System log files (and /var/log) could be donated to a special log
> user, so opening or writing them won't require any special
> privileges.

Umm, no.  In that case all log files from syslogd would have to
be moved into /var/log/syslog since more than only syslog is
logging there and we would munch things.  Well, one could think
about /var/log being owned by `logger' and root still being able
to write to it but it might cause other confusion.

Regards,

	Joey

-- 
Beware of bugs in the above code; I have only proved it correct,
not tried it.  -- Donald E. Knuth

Please always Cc to me when replying to me on the lists.


Merged 24326 35325. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <martin@piware.de>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #24 received at 35325@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin@piware.de>
To: 35325@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Ubuntu patch
Date: Thu, 25 Nov 2004 16:22:11 +0100
[Message part 1 (text/plain, inline)]
tag 32325 patch
thanks

Hi Joey!

Yesterday I patched the Ubuntu package to let sysklogd run as normal
user "syslog" instead of root. The interdiff is available at

  http://patches.ubuntu.com/patches/sysklogd.no-root-syslogd.diff

Unfortunately I looked into Debian's BTS _after_ uploading the updated
package, otherwise I could have based my patch on the already existing
ones.

Some words to the various issues that were raised in #32325 and
#24326:

- ownership of log files: they stay as they are, sysklogd drops root
  privileges after opening the files

- initgroups() is used for the new user to clean up any groups root
  might be in and to activate any auxilliary groups of user "syslog"
  (admins could use this to tweak ownership of logfiles; "adm" would
  be an appropriate group)

- error return codes are checked for functions like setuid() and
  initgroups()

- reloading: I modified the init script to really restart sysklogd
  instead of sending SIGHUP. This solves the problems with log
  rotation etc.

- removing the unix socket on exit: this is the only issue that is not
  really solved by the Ubuntu patch. It's not a big deal since usually
  syslog runs all the time anyway and even if it does not, it is just
  an orphaned file in /dev/, which is cleared at the next reboot
  anyway (with udev, at least) or simply reused.

The patch does not modify klogd since I did not find a way to read
/proc/kmsg without being root other than granting CAP_SYS_ADMIN (which
is equivalent to root). However, I just found the 

  su - syslogd "klogd -P -" </proc/kmsg

hack in the BTS which is worth investigating. If it works and does not
have security holes, I will update the patch.

Should you be hesitant to make this the default, do you at least
consider to include the code, but not use "-u syslog" by default in
the init script? You could provide a default file then which would
make it easy to enable privilege dropping.

Thanks for considering and have a nice day!

Martin

-- 
Martin Pitt                       http://www.piware.de
Ubuntu Developer            http://www.ubuntulinux.org
Debian GNU/Linux Developer       http://www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #29 received at 35325@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 35325@bugs.debian.org
Subject: Second patch version, klogd as user
Date: Fri, 26 Nov 2004 11:38:59 +0100
[Message part 1 (text/plain, inline)]
Hi Joey!

Martin Pitt [2004-11-25 16:22 +0100]:
> The patch does not modify klogd since I did not find a way to read
> /proc/kmsg without being root other than granting CAP_SYS_ADMIN (which
> is equivalent to root). However, I just found the 
> 
>   su - syslogd "klogd -P -" </proc/kmsg
> 
> hack in the BTS which is worth investigating. If it works and does not
> have security holes, I will update the patch.

Based on this idea I worked out a solution for letting klogd run
entirely with normal user privileges. I added a "-P file" option which
reads kernel messages from an alternative location (instead of from
/proc/kmsg). The init script now starts a dd process (as root) which
shovels /proc/kmsg/ to a pipe /var/run/klogd/kmsg (klog:klog, 0600).
klogd then reads the messages from this pipe. This looks a bit ugly,
but effectively separates the single privileged task (reading from
kmsg) from all the parsing and formatting stuff. dd is reasonably
small and safe and does not interact with any other process, so I do
not see many potential holes there.

The Ubuntu version now has this patch, it works fine. 

I removed the patch I pointed to yesterday and replaced it by an
unified one which patches both sysklogd and klogd and applies cleanly
against the Debian version 1.4.1-16. You can get it from

  http://patches.ubuntu.com/patches/sysklogd.no-root.diff

Thanks for considering and for your work and have a nice day!

Martin

P.S. Should you consider an upload in the next time, can you please
fix the changelog encoding and the /usr/doc foo? 

-- 
Martin Pitt                       http://www.piware.de
Ubuntu Developer            http://www.ubuntulinux.org
Debian GNU/Linux Developer       http://www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#35325; Package sysklogd. (Wed, 30 Mar 2011 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 30 Mar 2011 13:39:05 GMT) Full text and rfc822 format available.

Message #34 received at 35325-quiet@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Martin Schulze <joey@infodrom.org>
Cc: debian-derivatives@lists.debian.org, 35325-quiet@bugs.debian.org
Subject: Re: sysklogd as non-root
Date: Wed, 30 Mar 2011 14:31:11 +0100
On Tue, Mar 22, 2011 at 12:38:03PM +0100, Martin Schulze wrote:
> Matt Zimmerman wrote:
> > Hi Joey,
> > 
> > As part of a patch review for the DEX project[0], I came across this
> > wishlist bug on sysklogd:
> > 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=35325
> > 
> > for which a patch is available.  I would like to help get this patch merged
> > into Debian and upstream if possible.  It was originally based on 1.4.1, but
> > the upstream parts still apply to 1.5.  The packaging parts will need a bit
> > of work to merge, but I can help with this if you like.
> > 
> > Can you tell me what you think and how you would like to proceed with this?
> 
> I'll check next days.

Thanks for your response.  Have you had a chance to review this issue?
Please let me know if I can help in some way.

-- 
 - mdz




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Thu, 07 Apr 2011 20:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 07 Apr 2011 20:15:12 GMT) Full text and rfc822 format available.

Message #39 received at 35325@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: 35325@bugs.debian.org
Subject: Ubuntu patch
Date: Thu, 7 Apr 2011 19:55:12 +0100
[Message part 1 (text/plain, inline)]
Just attaching the original patch here in the BTS for reference, rather than
relying on the old link (which may go away soon).

-- 
 - mdz
[sysklogd.no-root.diff (text/x-diff, attachment)]

Added tag(s) pending and patch. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Sun, 24 Apr 2011 08:09:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Sun, 24 Apr 2011 08:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 24 Apr 2011 08:21:11 GMT) Full text and rfc822 format available.

Message #46 received at 35325@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 24326@bugs.debian.org, 35325@bugs.debian.org
Cc: debian-derivatives@lists.debian.org, Matt Zimmerman <mdz@debian.org>, Martin Pitt <mpitt@debian.org>
Subject: sysklogd: diff for NMU version 1.5-6.1, DELAYED/15
Date: Sun, 24 Apr 2011 10:08:40 +0200
[Message part 1 (text/plain, inline)]
tags 24326 + patch pending
tags 35325 + patch pending
thanks

Hi Martin,
  I've reviewed a patch to sysklogd prepared by Matt Zimmerman, based on
previous work by Martin Pitt, that adds supports for running sysklogd as
non root and enables such a behavior by default.

I believe it's a valuable change with potential security implications;
it's also a well tested one in other derivatives (Ubuntu and all its
descendants). Considering all this, I'm hereby declaring my intention to
sponsor the NMU prepared by Matt. For your convenience and in the hope
to help you out, I'll upload the NMU to DELAYED/15, which won't hit the
archive before 15 days from now. Please let me know if you are fine with
the changes, so that I can adapt the delay.

For all readers: I'm running the modified package without any troubles
on a couple of machines, but more testing is always welcome! You can
find patched packages at <http://people.debian.org/~zack/sysklogd/>.

Please try it out and report any issue.

Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[sysklogd-1.5-6.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Thu, 05 May 2011 09:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 05 May 2011 09:57:20 GMT) Full text and rfc822 format available.

Message #51 received at 35325@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 24326@bugs.debian.org, 35325@bugs.debian.org, debian-derivatives@lists.debian.org, Matt Zimmerman <mdz@debian.org>, Martin Pitt <mpitt@debian.org>
Subject: Re: sysklogd: diff for NMU version 1.5-6.1, DELAYED/15
Date: Thu, 5 May 2011 11:54:46 +0200
Hi!

On Sun, 2011-04-24 at 10:08:40 +0200, Stefano Zacchiroli wrote:
> I believe it's a valuable change with potential security implications;
> it's also a well tested one in other derivatives (Ubuntu and all its
> descendants). Considering all this, I'm hereby declaring my intention to
> sponsor the NMU prepared by Matt. For your convenience and in the hope
> to help you out, I'll upload the NMU to DELAYED/15, which won't hit the
> archive before 15 days from now. Please let me know if you are fine with
> the changes, so that I can adapt the delay.

Some nitpicking comments, mostly stuff that does not seem to match the
existing coding style, and then some implementation comments.


> diff -u sysklogd-1.5/syslogd.c sysklogd-1.5/syslogd.c
> --- sysklogd-1.5/syslogd.c
> +++ sysklogd-1.5/syslogd.c
> @@ -878,6 +885,11 @@
>  	extern char *optarg;
>  	int maxfds;
>  
> +        /* user and group id to drop to */
> +        uid_t uid = 0;
> +        gid_t gid = 0;
> +        const char* username = NULL;
> +

This is being indented with spaces, when the rest is using tabs.
The spacing around the asterisk seems inverted.

> @@ -886,7 +898,7 @@
>  		funix[i]  = -1;
>  	}
>  
> -	while ((ch = getopt(argc, argv, "a:dhf:l:m:np:rs:v")) != EOF)
> +	while ((ch = getopt(argc, argv, "a:dhf:l:m:np:rs:vu:")) != EOF)	

Added trailing tab.

>  		switch((char)ch) {
>  		case 'a':
>  			if (nfunix < MAXFUNIX)
> @@ -934,6 +946,21 @@
>  		case 'v':
>  			printf("syslogd %s.%s\n", VERSION, PATCHLEVEL);
>  			exit (0);
> +		case 'u':
> +                        if (optarg) {
> +                                username = strdup (optarg);
> +                                struct passwd *pw = getpwnam (username);

Mixed code and variable declarations is C99, I don't think the code
base has that assumption.

> +                                if (!pw) {
> +                                        fprintf (stderr, "User %s does not exist, aborting.\n", username);
> +                                        exit (1);
> +                                }
> +                                uid = pw->pw_uid;
> +                                gid = pw->pw_gid;
> +                        } else {
> +                                fputs ("Internal error: -u optarg == NULL!\n", stderr);
> +                                exit (1);

Hmm not sure this is really needed? The other cases just assume getopt
works fine.

> +                        }
> +			break;

Spaces → tabs for indentation for this whole block.

>  		case '?':
>  		default:
>  			usage();
> @@ -1087,6 +1114,19 @@
>  		kill (ppid, SIGTERM);
>  #endif
>  
> +        /*
> +         * Drop privileges if -u was specified
> +         */
> +	if (username) {
> +                if (initgroups (username, gid) || 

Trailing space.

> +                    setgid (gid) || setuid (uid)) {
> +                        perror ("Could not drop to specified user privileges");
> +                        exit (1);
> +                }
> +                free (username);
> +                username = NULL;
> +        }
> +

Spaces → tabs for indentation.

> @@ -1603,10 +1643,10 @@
>  	int msglen;
>  	char *timestamp;
>  #ifdef __gnu_linux__
> -	sigset_t mask;
> +        sigset_t mask;
>  #else
>  #ifndef SYSV
> -	sigset_t omask;
> +        sigset_t omask;
>  #endif
>  #endif
>  
> @@ -1618,9 +1658,9 @@
>  	sigaddset(&mask, SIGALRM);
>  	sigprocmask(SIG_BLOCK, &mask, NULL);
>  #else
> -#ifndef SYSV
> +#  ifndef SYSV
>  	omask = sigblock(sigmask(SIGHUP)|sigmask(SIGALRM));
> -#endif
> +#  endif
>  #endif
>  
>  	/*
> @@ -1660,11 +1700,11 @@
>  			f->f_file = -1;
>  		}
>  #ifdef __gnu_linux__
> -		sigprocmask(SIG_UNBLOCK, &mask, NULL);
> +	sigprocmask(SIG_UNBLOCK, &mask, NULL);
>  #else
> -#ifndef SYSV
> +#  ifndef SYSV
>  		(void) sigsetmask(omask);
> -#endif
> +#  endif
>  #endif
>  		return;
>  	}
> @@ -1731,9 +1771,9 @@
>  #ifdef __gnu_linux__
>  	sigprocmask(SIG_UNBLOCK, &mask, NULL);
>  #else
> -#ifndef SYSV
> +#  ifndef SYSV
>  	(void) sigsetmask(omask);
> -#endif
> +#  endif
>  #endif
>  }
>  #if FALSE

All this previous hunks seem to have suffered space damage.

> diff -u sysklogd-1.5/debian/rc.klogd sysklogd-1.5/debian/rc.klogd
> --- sysklogd-1.5/debian/rc.klogd
> +++ sysklogd-1.5/debian/rc.klogd
> @@ -12,37 +12,55 @@
>  
>  PATH=/bin:/usr/bin:/sbin:/usr/sbin
>  
> -pidfile=/var/run/klogd.pid
> +pidfile=/var/run/klogd/klogd.pid
> +kmsgpipe=/var/run/klogd/kmsg
> +kmsgpidfile=/var/run/klogd/kmsgpipe.pid
>  binpath=/sbin/klogd
>  
>  test -f $binpath || exit 0
>  
> -test ! -r /etc/default/klogd || . /etc/default/klogd
> -
>  . /lib/lsb/init-functions
>  
> +#  Use KLOGD="-k /boot/System.map-$(uname -r)" to specify System.map
> +#
> +KLOGD="-P $kmsgpipe"
> +
> +test ! -r /etc/default/klogd || . /etc/default/klogd
> +
>  case "$1" in
>    start)
>      log_begin_msg "Starting kernel log daemon..."
> -    start-stop-daemon --start --quiet --pidfile $pidfile --name klogd --startas $binpath -- $KLOGD
> +    # create klog-writeable pid and fifo directory
> +    mkdir -p /var/run/klogd
> +    chown klog:klog /var/run/klogd
> +    mkfifo -m 700 $kmsgpipe
> +    chown klog:klog $kmsgpipe
> + 
> +    # shovel /proc/kmsg to pipe readable by klogd user
> +    start-stop-daemon --start --pidfile $kmsgpidfile --exec /bin/dd -b -m -- bs=1 if=/proc/kmsg of=$kmsgpipe
> + 
> +    # start klogd as non-root with reading from kmsgpipe
> +    start-stop-daemon --start --quiet --chuid klog --exec $binpath -- $KLOGD
>      log_end_msg $?
> -    test -d /lib/init/rw/sendsigs.omit.d || mkdir -p /lib/init/rw/sendsigs.omit.d
> -    test ! -f /lib/init/rw/sendsigs.omit.d/klogd || rm -f /lib/init/rw/sendsigs.omit.d/klogd
> -    ln -s $pidfile /lib/init/rw/sendsigs.omit.d/klogd
>      ;;

Hmmm, this seems pretty ugly to me, why not just change the owner of
/proc/kmsg instead, which avoids that daemonized dd?

> diff -u sysklogd-1.5/debian/rc sysklogd-1.5/debian/rc
> --- sysklogd-1.5/debian/rc
> +++ sysklogd-1.5/debian/rc
> @@ -19,8 +19,31 @@
>  
>  test -x $binpath || exit 0
>  
> +# syslogd options should be set in /etc/default/syslogd
> +SYSLOGD=""
> +
> +# user to run syslogd as - this can overriden in /etc/default/syslogd
> +USER="syslog"
> +
>  test ! -r /etc/default/syslogd || . /etc/default/syslogd
>  
> +# Figure out under which user syslogd should be running as
> +if echo ${SYSLOGD} | grep -q '^.*-u[[:space:]]*\([[:alnum:]]*\)[[:space:]]*.*$'
> +then
> +	# A specific user has been set on the command line, try to extract it.
> +	USER=$(echo ${SYSLOGD} | sed -e 's/^.*-u[[:space:]]*\([[:alnum:]]*\)[[:space:]]*.*$/\1/')
> +else
> +	# By default, run syslogd under the syslog user
> +	SYSLOGD="${SYSLOGD} -u ${USER}"
> +fi

This seems a bit ugly, why is this needed instead of just relying on
USER being properly set? The -u option is new anyway so it's not
possible it was previously set in SYSLOGD.

> +# Unable to get the user under which syslogd should be running, stop.
> +if [ -z "${USER}" ]
> +then
> +	log_failure_msg "Unable to get syslog user"
> +	exit 1
> +fi
> +
>  . /lib/lsb/init-functions
>  
>  create_xconsole()
> @@ -36,8 +59,18 @@
[...]
> +fix_log_ownership()
> +{
> +	for l in `syslogd-listfiles -a`
> +	do
> +		chown ${USER}:adm $l
> +	done
>  }

Why is this needed?

> --- sysklogd-1.5.orig/klogd.c
> +++ sysklogd-1.5/klogd.c
> @@ -313,6 +322,8 @@
>  
>  static FILE *output_file = (FILE *) 0;
>  
> +static char     *kmsg_file = NULL; /* NULL means default /proc/kmsg */
> +

I guess either trimming spaces or using tabs?

> @@ -543,6 +554,22 @@
>  		       "console output.");
>  	}
>  
> +        /* Do we read kernel messages from a pipe? */
> +        if ( kmsg_file ) {
> +                if ( !strcmp(kmsg_file, "-") )

I always find clearer to use strcmp() == 0, instead of !strcmp().

> +                        kmsg = fileno(stdin);
> +                else {
> +                        if ( (kmsg = open(kmsg_file, O_RDONLY)) < 0 )
> +                        {
> +                                fprintf(stderr, "klogd: Cannot open kmsg file, " \
> +                                        "%d - %s.\n", errno, strerror(errno));
> +                                ksyslog(7, NULL, 0);
> +                                exit(1);
> +                        }
> +                }
> +                return proc;
> +        }
> +

Spaces → tab indentation. This does not send the klogd started
message to syslog. It might make sense to refactor the open() logic
at the end of the function, which is pretty similar.

>  	/*
>  	 * First do a stat to determine whether or not the proc based
>  	 * file system is available to get kernel messages from.
> @@ -1024,6 +1051,9 @@
>  		    case 'p':
>  			SetParanoiaLevel(1);	/* Load symbols on oops. */
>  			break;	
> +                    case 'P':           /* Alternative kmsg file path */
> +                        kmsg_file = strdup(optarg);
> +                        break;

Spaces → tab indentation.

>  		    case 's':		/* Use syscall interface. */
>  			use_syscall = 1;
>  			break;
> @@ -1035,7 +1065,6 @@
>  			break;
>  		}
>  
> -
>  	/* Set console logging level. */
>  	if ( log_level != (char *) 0 )
>  	{

Unneeded line removal.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Fri, 06 May 2011 12:29:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Fri, 06 May 2011 12:30:03 GMT) Full text and rfc822 format available.

Message #56 received at 35325@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Guillem Jover <guillem@debian.org>, 24326@bugs.debian.org, 35325@bugs.debian.org, Matt Zimmerman <mdz@debian.org>, Martin Pitt <mpitt@debian.org>
Cc: debian-derivatives@lists.debian.org
Subject: Re: sysklogd: diff for NMU version 1.5-6.1, DELAYED/15
Date: Fri, 6 May 2011 14:16:00 +0200
[Message part 1 (text/plain, inline)]
On Thu, May 05, 2011 at 11:54:46AM +0200, Guillem Jover wrote:
> Some nitpicking comments, mostly stuff that does not seem to match the
> existing coding style, and then some implementation comments.

Thanks a lot for the review, Guillem. I've looked into it and I see no
blockers for letting the DELAYED NMU go ahead. Nonetheless, if Martin or
Matt want to update the patch to take into account some of your
comments, I'll be happy to sponsor another upload with the updated
patch.

Let me know,
Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Reply sent to Matt Zimmerman <mdz@debian.org>:
You have taken responsibility. (Mon, 09 May 2011 09:21:17 GMT) Full text and rfc822 format available.

Notification sent to Thomas Roessler <roessler@sobolev.rhein.de>:
Bug acknowledged by developer. (Mon, 09 May 2011 09:21:18 GMT) Full text and rfc822 format available.

Message #61 received at 35325-close@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: 35325-close@bugs.debian.org
Subject: Bug#35325: fixed in sysklogd 1.5-6.1
Date: Mon, 09 May 2011 09:18:29 +0000
Source: sysklogd
Source-Version: 1.5-6.1

We believe that the bug you reported is fixed in the latest version of
sysklogd, which is due to be installed in the Debian FTP archive:

klogd_1.5-6.1_amd64.deb
  to main/s/sysklogd/klogd_1.5-6.1_amd64.deb
sysklogd_1.5-6.1.diff.gz
  to main/s/sysklogd/sysklogd_1.5-6.1.diff.gz
sysklogd_1.5-6.1.dsc
  to main/s/sysklogd/sysklogd_1.5-6.1.dsc
sysklogd_1.5-6.1_amd64.deb
  to main/s/sysklogd/sysklogd_1.5-6.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 35325@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matt Zimmerman <mdz@debian.org> (supplier of updated sysklogd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Apr 2011 06:52:27 -0400
Source: sysklogd
Binary: sysklogd klogd
Architecture: source amd64
Version: 1.5-6.1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Matt Zimmerman <mdz@debian.org>
Description: 
 klogd      - Kernel Logging Daemon
 sysklogd   - System Logging Daemon
Closes: 35325
Changes: 
 sysklogd (1.5-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Merge Ubuntu patch to enable klogd and syslogd to run as non-root users
     (Closes: Bug#35325)
     - debian/control: add dependency on adduser
     - debian/postrm.klogd, postinst.klogd: handle addition/removal of klogd
       user
     - debian/rc.klogd, default.klogd: run klogd as user klogd
     - klogd.c, debian/rules, Makefile, klogd.8: specify location of klogd pid
       file
 .
     - syslogd.c, syslogd.8: add -u <user> option
     - debian/cron.daily, cron.weekly, rc: run syslogd as user syslogd
Checksums-Sha1: 
 c1440b957f979f513dc8419cd2a768638f08795b 947 sysklogd_1.5-6.1.dsc
 fd9b7ef4c69f17fea711b3e9241cec82e73f6a9a 30266 sysklogd_1.5-6.1.diff.gz
 2ce89f5d46c11d034989cdb1d612f5f528c90caa 65246 sysklogd_1.5-6.1_amd64.deb
 e9e0791b39b6065e78eb0264ac5a145d326f7b98 45352 klogd_1.5-6.1_amd64.deb
Checksums-Sha256: 
 2d2467e3ea111b8f3173684a0fb9758fbcc943a6d1e8fbd8a623c99f39849682 947 sysklogd_1.5-6.1.dsc
 232320db4d25ccbd0bac1a7c23c228eed9032691837d51b4d7a7695bd69e4338 30266 sysklogd_1.5-6.1.diff.gz
 1afacc74f61fe63b54dd5293d98888374fa1769a1b79efa79d1b100ba23d51ea 65246 sysklogd_1.5-6.1_amd64.deb
 41f2b6f58b1a5e1850d4eb875ea7a3e032f83397a47f7309c91500486cd7aed0 45352 klogd_1.5-6.1_amd64.deb
Files: 
 d4eb5600bd17066d824128766d00d691 947 admin extra sysklogd_1.5-6.1.dsc
 c7d191ba5af9b24bc004dc9d37b44ef9 30266 admin extra sysklogd_1.5-6.1.diff.gz
 55abaa940aa2a3e1bcb0d3b783340229 65246 admin extra sysklogd_1.5-6.1_amd64.deb
 9dcd37262845fb81ca81fe3fdef9e29f 45352 admin extra klogd_1.5-6.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNs9qf1cqbBPLEI7wRAiePAKCWZCzryXQpGPKQQcvF8+vWEOZzVACgkTUo
1D/M/ghDrtJ6bw1/4kjAItQ=
=qKOu
-----END PGP SIGNATURE-----





Reply sent to Matt Zimmerman <mdz@debian.org>:
You have taken responsibility. (Mon, 09 May 2011 09:21:23 GMT) Full text and rfc822 format available.

Notification sent to Topi Miettinen <tom@medialab.sonera.net>:
Bug acknowledged by developer. (Mon, 09 May 2011 09:21:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Tue, 10 May 2011 08:54:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 10 May 2011 08:54:29 GMT) Full text and rfc822 format available.

Message #71 received at 35325@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Stefano Zacchiroli <zack@debian.org>
Cc: Guillem Jover <guillem@debian.org>, 24326@bugs.debian.org, 35325@bugs.debian.org, Matt Zimmerman <mdz@debian.org>, debian-derivatives@lists.debian.org
Subject: Re: sysklogd: diff for NMU version 1.5-6.1, DELAYED/15
Date: Tue, 10 May 2011 10:46:18 +0200
[Message part 1 (text/plain, inline)]
Hello all,

sorry for the late answer, I didn't have much time for Debian
recently.

Stefano Zacchiroli [2011-05-06 14:16 +0200]:
> Thanks a lot for the review, Guillem. I've looked into it and I see no
> blockers for letting the DELAYED NMU go ahead. Nonetheless, if Martin or
> Matt want to update the patch to take into account some of your
> comments, I'll be happy to sponsor another upload with the updated
> patch.

TBH it's pretty obsolete. rsyslog is the standard logging daemon now,
and since then the kernel also has been fixed to not require root
privileges for reading (not opening) from /proc/kmsg any more (which
was the reason for the dd process). So rsyslog never had the nasty dd
hack, since at that point we rather got the kernel fixed.

The same approach could now be done for klogd, i. e. open /proc/kmsg
as root, then drop to the system user afterwards, and keep running.
So I honestly think we should just bury this patch and also revert
what's left of it in the Ubuntu package.

Thanks,

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Tue, 10 May 2011 09:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 10 May 2011 09:39:16 GMT) Full text and rfc822 format available.

Message #76 received at 35325@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Martin Pitt <mpitt@debian.org>
Cc: Stefano Zacchiroli <zack@debian.org>, Guillem Jover <guillem@debian.org>, 24326@bugs.debian.org, 35325@bugs.debian.org, debian-derivatives@lists.debian.org
Subject: Re: sysklogd: diff for NMU version 1.5-6.1, DELAYED/15
Date: Tue, 10 May 2011 11:36:09 +0200
On Tue, May 10, 2011 at 10:46:18AM +0200, Martin Pitt wrote:
> Hello all,
> 
> sorry for the late answer, I didn't have much time for Debian
> recently.

Unfortunate timing, as the patch has now landed in Debian. :-/

> 
> Stefano Zacchiroli [2011-05-06 14:16 +0200]:
> > Thanks a lot for the review, Guillem. I've looked into it and I see no
> > blockers for letting the DELAYED NMU go ahead. Nonetheless, if Martin or
> > Matt want to update the patch to take into account some of your
> > comments, I'll be happy to sponsor another upload with the updated
> > patch.
> 
> TBH it's pretty obsolete. rsyslog is the standard logging daemon now,
> and since then the kernel also has been fixed to not require root
> privileges for reading (not opening) from /proc/kmsg any more (which
> was the reason for the dd process). So rsyslog never had the nasty dd
> hack, since at that point we rather got the kernel fixed.

The kernel has been fixed in Ubuntu, in Debian, or in upstream?

-- 
 - mdz




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Tue, 10 May 2011 10:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 10 May 2011 10:12:21 GMT) Full text and rfc822 format available.

Message #81 received at 35325@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Matt Zimmerman <mdz@debian.org>, Stefano Zacchiroli <zack@debian.org>, Guillem Jover <guillem@debian.org>, 24326@bugs.debian.org, 35325@bugs.debian.org, debian-derivatives@lists.debian.org
Subject: Re: sysklogd: diff for NMU version 1.5-6.1, DELAYED/15
Date: Tue, 10 May 2011 12:09:23 +0200
[Message part 1 (text/plain, inline)]
Matt Zimmerman [2011-05-10 11:36 +0200]:
> The kernel has been fixed in Ubuntu, in Debian, or in upstream?

All of them by now. The fix got landed upstream in February 2010:

  http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=002345925e6c45861f60db6f4fc6236713fd8847

I think it landed in 2.6.35.

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Jun 2011 07:36:03 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Tue, 13 Dec 2011 19:21:04 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions sysklogd/1.5-6.1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Dec 2011 19:21:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'sysklogd: There should be a way to run sysklogd without root privileges (please revert this NMU)' from 'sysklogd: There should be a way to run sysklogd without root privileges' Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Tue, 13 Dec 2011 19:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Tue, 13 Dec 2011 19:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 13 Dec 2011 19:30:05 GMT) Full text and rfc822 format available.

Message #94 received at 35325@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Martin Pitt <mpitt@debian.org>, 35325@bugs.debian.org
Cc: Matt Zimmerman <mdz@debian.org>, Stefano Zacchiroli <zack@debian.org>, Guillem Jover <guillem@debian.org>, 24326@bugs.debian.org, debian-derivatives@lists.debian.org
Subject: Re: Bug#35325: sysklogd: diff for NMU version 1.5-6.1, DELAYED/15
Date: Tue, 13 Dec 2011 19:05:09 +0000
[Message part 1 (text/plain, inline)]
On Tue, May 10, 2011 at 12:09:23PM +0200, Martin Pitt wrote:
> Matt Zimmerman [2011-05-10 11:36 +0200]:
> > The kernel has been fixed in Ubuntu, in Debian, or in upstream?
> 
> All of them by now. The fix got landed upstream in February 2010:
> 
>   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=002345925e6c45861f60db6f4fc6236713fd8847
> 
> I think it landed in 2.6.35.

As a result of this, the following patch is proposed to correct this
change by reverting the previous NMU.  This also cleans up by
deleting the users and changing the ownership of the files back to
root:root.  Comments?

It might need additional logic to remove /var/run/klog after
restarting the daemon.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[sysklogd-revert-nmu.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#35325; Package sysklogd. (Tue, 13 Dec 2011 20:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 13 Dec 2011 20:48:08 GMT) Full text and rfc822 format available.

Message #99 received at 35325@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Roger Leigh <rleigh@codelibre.net>
Cc: Martin Pitt <mpitt@debian.org>, 35325@bugs.debian.org, Matt Zimmerman <mdz@debian.org>, Guillem Jover <guillem@debian.org>, 24326@bugs.debian.org, debian-derivatives@lists.debian.org
Subject: Re: Bug#35325: sysklogd: diff for NMU version 1.5-6.1, DELAYED/15
Date: Tue, 13 Dec 2011 21:45:54 +0100
On Tue, Dec 13, 2011 at 07:05:09PM +0000, Roger Leigh wrote:
> As a result of this, the following patch is proposed to correct this
> change by reverting the previous NMU.  This also cleans up by
> deleting the users and changing the ownership of the files back to
> root:root.  Comments?

No objection on my part, of course. And apologies for acting on this
with the previous NMU well after it was actually useful to do so. I
doubt you need my help to proceed, but in case you do (e.g. for
testing), let me know

> It might need additional logic to remove /var/run/klog after
> restarting the daemon.

Let me point out that all this is about sysklogd, which is no longer the
default syslog on Debian since quite a while. (Which explains the steep
drop of popularity of the package in popularity contest.) That is no
reason to not clean up what has been introduced by previous changes.
Nonetheless if we really want to clean up, it'd probably make sense to
add some warning/hint that suggests to migrate to rsyslog (even only if
in NEWS.Debian), our default syslog since quite a while.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »




Message #100 received at 24326-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 24326-done@bugs.debian.org,35325-done@bugs.debian.org,38781-done@bugs.debian.org,44523-done@bugs.debian.org,48326-done@bugs.debian.org,59662-done@bugs.debian.org,70429-done@bugs.debian.org,89677-done@bugs.debian.org,91804-done@bugs.debian.org,94285-done@bugs.debian.org,100043-done@bugs.debian.org,104278-done@bugs.debian.org,108653-done@bugs.debian.org,144790-done@bugs.debian.org,147471-done@bugs.debian.org,156232-done@bugs.debian.org,174038-done@bugs.debian.org,199989-done@bugs.debian.org,205239-done@bugs.debian.org,206947-done@bugs.debian.org,222120-done@bugs.debian.org,222245-done@bugs.debian.org,223554-done@bugs.debian.org,226036-done@bugs.debian.org,241657-done@bugs.debian.org,247680-done@bugs.debian.org,253213-done@bugs.debian.org,273269-done@bugs.debian.org,278892-done@bugs.debian.org,279120-done@bugs.debian.org,281448-done@bugs.debian.org,285087-done@bugs.debian.org,308580-done@bugs.debian.org,334295-done@bugs.debian.org,337389-done@bugs.debian.org,353744-done@bugs.debian.org,365265-done@bugs.debian.org,365339-done@bugs.debian.org,370339-done@bugs.debian.org,385292-done@bugs.debian.org,386122-done@bugs.debian.org,419496-done@bugs.debian.org,427415-done@bugs.debian.org,439833-done@bugs.debian.org,449581-done@bugs.debian.org,452559-done@bugs.debian.org,472948-done@bugs.debian.org,487173-done@bugs.debian.org,498777-done@bugs.debian.org,500776-done@bugs.debian.org,513217-done@bugs.debian.org,513218-done@bugs.debian.org,514051-done@bugs.debian.org,515696-done@bugs.debian.org,525959-done@bugs.debian.org,527874-done@bugs.debian.org,532300-done@bugs.debian.org,535498-done@bugs.debian.org,547968-done@bugs.debian.org,557119-done@bugs.debian.org,626244-done@bugs.debian.org,626247-done@bugs.debian.org,627404-done@bugs.debian.org,639872-done@bugs.debian.org,647023-done@bugs.debian.org,648166-done@bugs.debian.org,650428-done@bugs.debian.org,652086-done@bugs.debian.org,680099-done@bugs.debian.org,680170-done@bugs.debian.org,689578-done@bugs.debian.org,689686-done@bugs.debian.org,691700-done@bugs.debian.org,
Cc: sysklogd@packages.debian.org, sysklogd@packages.qa.debian.org
Subject: Bug#707655: Removed package(s) from unstable
Date: Sat, 11 May 2013 10:05:52 +0000
Version: 1.5-6.2+rm

Dear submitter,

as the package sysklogd has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/707655

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 11 May 2013 10:50:16 GMT) Full text and rfc822 format available.

Notification sent to Thomas Roessler <roessler@sobolev.rhein.de>:
Bug acknowledged by developer. (Sat, 11 May 2013 10:50:16 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 11 May 2013 10:50:17 GMT) Full text and rfc822 format available.

Notification sent to Topi Miettinen <tom@medialab.sonera.net>:
Bug acknowledged by developer. (Sat, 11 May 2013 10:50:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Jun 2013 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:13:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.